%function vdpode(MU)
%VDPODE  Parameterizable van der Pol equation (stiff for large MU)
clear all
MU = 200;     % default

tspan = [0; max(20,3*MU)];              % Several periods
y0 = [2; 0];


tic,[t,y] = ode45(@(t,y) my_fd(t,y,MU),tspan,y0);,toc
tic,[t2,y2] = ode15s(@(t,y) my_fd(t,y,MU),tspan,y0);,toc
% options = odeset('Jacobian',@(t,y) my_J(t,y,MU));
% tc=cputime;,[t2,y2] = ode15s(@(t,y) my_fd(t,y,MU),tspan,y0,options);,cputime-tc
figure(1)
plot(t,y(:,1),'.-');
title(['ode45 solution of van der Pol Equation, \mu = ' num2str(MU)]);
xlabel('time t');
ylabel('solution y_1');

axis([tspan(1) tspan(end) -2.5 2.5]);  

figure(2)
plot(t,y(:,1),'s-');
title(['ode15s solution of van der Pol Equation, \mu = ' num2str(MU)]);
xlabel('time t');
ylabel('solution y_1');

axis([tspan(1) tspan(end) -2.5 2.5]);  